commit:     e83267a2c0c0405aea8fe70b9011393514d05eff
Author:     Hanno Böck <hanno <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 27 15:19:40 2020 +0000
Commit:     Hanno Böck <hanno <AT> gentoo <DOT> org>
CommitDate: Sun Sep 27 15:19:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e83267a2

dev-python/django-debug-toolbar: Bump and python 3.8 support

Closes: https://bugs.gentoo.org/744490
Signed-off-by: Hanno Böck <hanno <AT> gentoo.org>
Package-Manager: Portage-3.0.8, Repoman-3.0.1

 dev-python/django-debug-toolbar/Manifest           |  1 +
 .../django-debug-toolbar-3.1.ebuild                | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/django-debug-toolbar/Manifest 
b/dev-python/django-debug-toolbar/Manifest
index c0d4d33f4d0..b32928778e0 100644
--- a/dev-python/django-debug-toolbar/Manifest
+++ b/dev-python/django-debug-toolbar/Manifest
@@ -1 +1,2 @@
 DIST django-debug-toolbar-2.2.tar.gz 322475 BLAKE2B 
cff55a26f4d95353edff3d7f678a052c262636afc94307e22e4d9dc1b6bbe3c0bc1a4997c4904a397de97218b462d52e67ac0f80bb05de7736cb278c7dca58ee
 SHA512 
5cd9e50852bd7efeb83879c5e9fe10fe6df5087b746e9cb2a0e13e66b3fe0a815a6eaea4b273258e7e682149bc29ad8979268d2be263539c522624e3f16aa5f5
+DIST django-debug-toolbar-3.1.tar.gz 228867 BLAKE2B 
af3d8011136ba30e690e03548d757405e9cd89fb5473b277720a3151149e92be212e50a6ec3d95903382716c9594405a1e93a7a1bf231f220f4b5c8ae1e38480
 SHA512 
c4cfa3cd98adfba7362e259e18a0240b886f294ba10f5c64e12887b00d4dc952e9b80cac0f78e7193a15566585f43d988f6d287e4d0dcc84c4f8395c7006e2b0

diff --git a/dev-python/django-debug-toolbar/django-debug-toolbar-3.1.ebuild 
b/dev-python/django-debug-toolbar/django-debug-toolbar-3.1.ebuild
new file mode 100644
index 00000000000..5f9abc45151
--- /dev/null
+++ b/dev-python/django-debug-toolbar/django-debug-toolbar-3.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A configurable set of panels that display debug information"
+HOMEPAGE="
+       https://pypi.org/project/django-debug-toolbar/
+       https://github.com/django-debug-toolbar/django-debug-toolbar/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-1.11[${PYTHON_USEDEP}]
+       >=dev-python/sqlparse-0.2.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               ${RDEPEND}
+       )
+"
+
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+       # This prevents distutils from installing 'tests' package, rm magic no 
more needed
+       sed -e "/find_packages/s:'tests':'tests.\*', 'tests':" -i setup.py || 
die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       emake test
+}
+
+python_install_all() {
+       if use examples; then
+               docinto examples
+               dodoc -r example/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to